diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
index a735441e6..1bdee29f8 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
@@ -2,7 +2,6 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.model.ModelBiped;
-import net.minecraft.client.render.model.ModelZombie;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.monster.MobZombieArmored;
@@ -11,23 +10,12 @@ import org.lwjgl.opengl.GL11;
 
 public class MobRendererBiped<T extends Mob> extends MobRenderer<T>
 {
-	private final ModelBiped modelArmor;
     public MobRendererBiped(ModelBiped model, float shadowSize)
     {
         super(model, shadowSize);
         modelBipedMain = model;
-		modelArmor = new ModelBiped(0.5F);
     }
 
-	protected boolean prepareArmor(MobZombieArmored zombie, int renderPass, float partialTick)
-	{
-		bindTexture("/assets/minecraft/textures/armor/xmas.png");
-		ModelBiped model = modelArmor;
-		model.head.visible = true;
-		setArmorModel(model);
-		return true;
-	}
-
 	@Override
 	protected void renderAdditional(T entity, float f) {
 		ItemStack itemstack = entity.getHeldItem();
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.png b/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.png
deleted file mode 100644
index 5bfce29eb..000000000
Binary files a/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.png and /dev/null differ
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.tiles b/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.tiles
deleted file mode 100644
index fbd291b54..000000000
--- a/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.tiles
+++ /dev/null
@@ -1,241 +0,0 @@
-size=16x17
-0,0=planks/black
-1,0=planks/blue
-2,0=planks/gray
-3,0=planks/lightblue
-4,0=chest/planks_black/top_left
-5,0=chest/planks_black/top_right
-6,0=chest/planks_black/top
-7,0=chest/planks_blue/top_left
-8,0=chest/planks_blue/top_right
-9,0=chest/planks_blue/top
-10,0=chest/planks_gray/top_left
-11,0=chest/planks_gray/top_right
-12,0=chest/planks_gray/top
-13,0=chest/planks_lightblue/top_left
-14,0=chest/planks_lightblue/top_right
-15,0=chest/planks_lightblue/top
-0,1=planks/red
-1,1=planks/purple
-2,1=planks/pink
-3,1=planks/magenta
-4,1=chest/planks_black/left_front
-5,1=chest/planks_black/right_front
-6,1=chest/planks_black/front
-7,1=chest/planks_blue/left_front
-8,1=chest/planks_blue/right_front
-9,1=chest/planks_blue/front
-10,1=chest/planks_gray/left_front
-11,1=chest/planks_gray/right_front
-12,1=chest/planks_gray/front
-13,1=chest/planks_lightblue/left_front
-14,1=chest/planks_lightblue/right_front
-15,1=chest/planks_lightblue/front
-0,2=planks/green
-1,2=planks/cyan
-2,2=planks/lime
-3,2=planks/orange
-4,2=chest/planks_black/left_back
-5,2=chest/planks_black/right_back
-6,2=chest/planks_black/side
-7,2=chest/planks_blue/left_back
-8,2=chest/planks_blue/right_back
-9,2=chest/planks_blue/side
-10,2=chest/planks_gray/left_back
-11,2=chest/planks_gray/right_back
-12,2=chest/planks_gray/side
-13,2=chest/planks_lightblue/left_back
-14,2=chest/planks_lightblue/right_back
-15,2=chest/planks_lightblue/side
-0,3=planks/brown
-1,3=planks/silver
-2,3=planks/yellow
-3,3=planks/white
-4,3=chest/planks_red/top_left
-5,3=chest/planks_red/top_right
-6,3=chest/planks_red/top
-7,3=chest/planks_purple/top_left
-8,3=chest/planks_purple/top_right
-9,3=chest/planks_purple/top
-10,3=chest/planks_pink/top_left
-11,3=chest/planks_pink/top_right
-12,3=chest/planks_pink/top
-13,3=chest/planks_magenta/top_left
-14,3=chest/planks_magenta/top_right
-15,3=chest/planks_magenta/top
-4,4=chest/planks_red/left_front
-5,4=chest/planks_red/right_front
-6,4=chest/planks_red/front
-7,4=chest/planks_purple/left_front
-8,4=chest/planks_purple/right_front
-9,4=chest/planks_purple/front
-10,4=chest/planks_pink/left_front
-11,4=chest/planks_pink/right_front
-12,4=chest/planks_pink/front
-13,4=chest/planks_magenta/left_front
-14,4=chest/planks_magenta/right_front
-15,4=chest/planks_magenta/front
-4,5=chest/planks_red/left_back
-5,5=chest/planks_red/right_back
-6,5=chest/planks_red/side
-7,5=chest/planks_purple/left_back
-8,5=chest/planks_purple/right_back
-9,5=chest/planks_purple/side
-10,5=chest/planks_pink/left_back
-11,5=chest/planks_pink/right_back
-12,5=chest/planks_pink/side
-13,5=chest/planks_magenta/left_back
-14,5=chest/planks_magenta/right_back
-15,5=chest/planks_magenta/side
-4,6=chest/planks_green/top_left
-5,6=chest/planks_green/top_right
-6,6=chest/planks_green/top
-7,6=chest/planks_cyan/top_left
-8,6=chest/planks_cyan/top_right
-9,6=chest/planks_cyan/top
-10,6=chest/planks_lime/top_left
-11,6=chest/planks_lime/top_right
-12,6=chest/planks_lime/top
-13,6=chest/planks_orange/top_left
-14,6=chest/planks_orange/top_right
-15,6=chest/planks_orange/top
-4,7=chest/planks_green/left_front
-5,7=chest/planks_green/right_front
-6,7=chest/planks_green/front
-7,7=chest/planks_cyan/left_front
-8,7=chest/planks_cyan/right_front
-9,7=chest/planks_cyan/front
-10,7=chest/planks_lime/left_front
-11,7=chest/planks_lime/right_front
-12,7=chest/planks_lime/front
-13,7=chest/planks_orange/left_front
-14,7=chest/planks_orange/right_front
-15,7=chest/planks_orange/front
-4,8=chest/planks_green/left_back
-5,8=chest/planks_green/right_back
-6,8=chest/planks_green/side
-7,8=chest/planks_cyan/left_back
-8,8=chest/planks_cyan/right_back
-9,8=chest/planks_cyan/side
-10,8=chest/planks_lime/left_back
-11,8=chest/planks_lime/right_back
-12,8=chest/planks_lime/side
-13,8=chest/planks_orange/left_back
-14,8=chest/planks_orange/right_back
-15,8=chest/planks_orange/side
-4,9=chest/planks_brown/top_left
-5,9=chest/planks_brown/top_right
-6,9=chest/planks_brown/top
-7,9=chest/planks_silver/top_left
-8,9=chest/planks_silver/top_right
-9,9=chest/planks_silver/top
-10,9=chest/planks_yellow/top_left
-11,9=chest/planks_yellow/top_right
-12,9=chest/planks_yellow/top
-13,9=chest/planks_white/top_left
-14,9=chest/planks_white/top_right
-15,9=chest/planks_white/top
-4,10=chest/planks_brown/left_front
-5,10=chest/planks_brown/right_front
-6,10=chest/planks_brown/front
-7,10=chest/planks_silver/left_front
-8,10=chest/planks_silver/right_front
-9,10=chest/planks_silver/front
-10,10=chest/planks_yellow/left_front
-11,10=chest/planks_yellow/right_front
-12,10=chest/planks_yellow/front
-13,10=chest/planks_white/left_front
-14,10=chest/planks_white/right_front
-15,10=chest/planks_white/front
-4,11=chest/planks_brown/left_back
-5,11=chest/planks_brown/right_back
-6,11=chest/planks_brown/side
-7,11=chest/planks_silver/left_back
-8,11=chest/planks_silver/right_back
-9,11=chest/planks_silver/side
-10,11=chest/planks_yellow/left_back
-11,11=chest/planks_yellow/right_back
-12,11=chest/planks_yellow/side
-13,11=chest/planks_white/left_back
-14,11=chest/planks_white/right_back
-15,11=chest/planks_white/side
-0,12=trapdoor/planks_black/side
-1,12=trapdoor/planks_red/side
-2,12=trapdoor/planks_green/side
-3,12=trapdoor/planks_brown/side
-4,12=trapdoor/planks_blue/side
-5,12=trapdoor/planks_purple/side
-6,12=trapdoor/planks_cyan/side
-7,12=trapdoor/planks_silver/side
-8,12=trapdoor/planks_gray/side
-9,12=trapdoor/planks_pink/side
-10,12=trapdoor/planks_lime/side
-11,12=trapdoor/planks_yellow/side
-12,12=trapdoor/planks_lightblue/side
-13,12=trapdoor/planks_magenta/side
-14,12=trapdoor/planks_orange/side
-15,12=trapdoor/planks_white/side
-0,13=trapdoor/planks_black/top
-1,13=trapdoor/planks_red/top
-2,13=trapdoor/planks_green/top
-3,13=trapdoor/planks_brown/top
-4,13=trapdoor/planks_blue/top
-5,13=trapdoor/planks_purple/top
-6,13=trapdoor/planks_cyan/top
-7,13=trapdoor/planks_silver/top
-8,13=trapdoor/planks_gray/top
-9,13=trapdoor/planks_pink/top
-10,13=trapdoor/planks_lime/top
-11,13=trapdoor/planks_yellow/top
-12,13=trapdoor/planks_lightblue/top
-13,13=trapdoor/planks_magenta/top
-14,13=trapdoor/planks_orange/top
-15,13=trapdoor/planks_white/top
-0,14=door/planks_black/top
-1,14=door/planks_red/top
-2,14=door/planks_green/top
-3,14=door/planks_brown/top
-4,14=door/planks_blue/top
-5,14=door/planks_purple/top
-6,14=door/planks_cyan/top
-7,14=door/planks_silver/top
-8,14=door/planks_gray/top
-9,14=door/planks_pink/top
-10,14=door/planks_lime/top
-11,14=door/planks_yellow/top
-12,14=door/planks_lightblue/top
-13,14=door/planks_magenta/top
-14,14=door/planks_orange/top
-15,14=door/planks_white/top
-0,15=door/planks_black/bottom
-1,15=door/planks_red/bottom
-2,15=door/planks_green/bottom
-3,15=door/planks_brown/bottom
-4,15=door/planks_blue/bottom
-5,15=door/planks_purple/bottom
-6,15=door/planks_cyan/bottom
-7,15=door/planks_silver/bottom
-8,15=door/planks_gray/bottom
-9,15=door/planks_pink/bottom
-10,15=door/planks_lime/bottom
-11,15=door/planks_yellow/bottom
-12,15=door/planks_lightblue/bottom
-13,15=door/planks_magenta/bottom
-14,15=door/planks_orange/bottom
-15,15=door/planks_white/bottom
-0,16=door/planks_black/frame_top
-1,16=door/planks_red/frame_top
-2,16=door/planks_green/frame_top
-3,16=door/planks_brown/frame_top
-4,16=door/planks_blue/frame_top
-5,16=door/planks_purple/frame_top
-6,16=door/planks_cyan/frame_top
-7,16=door/planks_silver/frame_top
-8,16=door/planks_gray/frame_top
-9,16=door/planks_pink/frame_top
-10,16=door/planks_lime/frame_top
-11,16=door/planks_yellow/frame_top
-12,16=door/planks_lightblue/frame_top
-13,16=door/planks_magenta/frame_top
-14,16=door/planks_orange/frame_top
-15,16=door/planks_white/frame_top
\ No newline at end of file
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/0.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/0.png
deleted file mode 100644
index edb00b16b..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/0.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/1.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/1.png
deleted file mode 100644
index 97228fc13..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/1.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/2.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/2.png
deleted file mode 100644
index be493d3e0..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/2.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/3.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/3.png
deleted file mode 100644
index 9faf56f18..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/3.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/variants.json b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/variants.json
deleted file mode 100644
index 42eaed298..000000000
--- a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/chicken/variants.json
+++ /dev/null
@@ -1,3 +0,0 @@
-{
-    "skins": 4
-}
\ No newline at end of file
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/0.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/0.png
deleted file mode 100644
index d85feb839..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/0.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/1.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/1.png
deleted file mode 100644
index 74a225340..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/1.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/2.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/2.png
deleted file mode 100644
index f1c1f85bb..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/2.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/3.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/3.png
deleted file mode 100644
index 54ad5ff95..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/3.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/variants.json b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/variants.json
deleted file mode 100644
index 42eaed298..000000000
--- a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/cow/variants.json
+++ /dev/null
@@ -1,3 +0,0 @@
-{
-    "skins": 4
-}
\ No newline at end of file
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/0.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/0.png
deleted file mode 100644
index 08344a837..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/0.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/1.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/1.png
deleted file mode 100644
index 9a9748993..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/1.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/2.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/2.png
deleted file mode 100644
index f8df6e908..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/2.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/3.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/3.png
deleted file mode 100644
index 84ae2bf09..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/3.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/0.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/0.png
deleted file mode 100644
index 2a7734f93..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/0.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/1.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/1.png
deleted file mode 100644
index 45cd1daa3..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/1.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/2.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/2.png
deleted file mode 100644
index e5687ff05..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/2.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/3.png b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/3.png
deleted file mode 100644
index 43145a612..000000000
Binary files a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/eyes/3.png and /dev/null differ
diff --git a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/variants.json b/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/variants.json
deleted file mode 100644
index 42eaed298..000000000
--- a/game/client/src/main/resources/holidays/xmas/assets/minecraft/textures/entity/spider/variants.json
+++ /dev/null
@@ -1,3 +0,0 @@
-{
-    "skins": 4
-}
\ No newline at end of file
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
index 12d7d9bbb..d28681588 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
@@ -44,7 +44,6 @@ public class BlockArgumentParser extends ArgumentParser {
         }
 
         if (this.reader.canRead() && this.reader.peek() == '{') {
-            this.reader.skip();
             this.suggestions = CommandHelper.NO_SUGGESTIONS;
             this.tag = this.parseCompound();
         }
